org.eclipse.microprofile.reactive.streams.operators

## Interface ProducesResult<T>

Type Parameters:
  `T` - The result of the stream.

All Known Subinterfaces:
  CompletionRunner<T>, SubscriberBuilder<T,R>

    public interface ProducesResult<T>

A stream that completes with a single result.

This will either be a `SubscriberBuilder`, representing a stream with an inlet that can be plumbed to a publisher in order to run it, or a `CompletionRunner`, representing a closed graph that can be run as is.

See Also:
  `SubscriberBuilder`, `CompletionRunner`